﻿// Anyone is free to copy, modify, use, compile, or distribute this software,
// either in source code form or as a compiled binary, for any non-commercial
// purpose.  For commercial enquiries please contact contact@gimpysoftware.com
//
// If modified, please retain this copyright header, and consider telling us
// about your changes.  We're always glad to see how people use our code!
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
// Gimpy Software does not accept any liability for damage caused by executing
// or modifying this code.
//
// Copyright (c) 2013, Gimpy Software.
//
namespace Speculator
{
    public partial class Z80Instructions
    {
        private void InitFlagModifiers()
        {
            InstructionFromID(InstructionID.ADC_A_A).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_B).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_C).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_D).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_E).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_H).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_IXH).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_IXL).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_IYH).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_IYL).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_L).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_addrHL).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_addrIXplus_d).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_addrIYplus_d).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_A_n).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADC_HL_BC).SetFlagModifiers("XX?V0X", "HL");
            InstructionFromID(InstructionID.ADC_HL_DE).SetFlagModifiers("XX?V0X", "HL");
            InstructionFromID(InstructionID.ADC_HL_HL).SetFlagModifiers("XX?V0X", "HL");
            InstructionFromID(InstructionID.ADC_HL_SP).SetFlagModifiers("XX?V0X", "HL");
            InstructionFromID(InstructionID.ADD_A_A).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_B).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_C).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_D).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_E).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_H).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_IXH).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_IXL).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_IYH).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_IYL).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_L).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_addrHL).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_addrIXplus_d).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_addrIYplus_d).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_A_n).SetFlagModifiers("XXXV0X", "A");
            InstructionFromID(InstructionID.ADD_HL_BC).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_HL_DE).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_HL_HL).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_HL_SP).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_IX_BC).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_IX_DE).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_IX_IX).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_IX_SP).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_IY_BC).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_IY_DE).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_IY_IY).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.ADD_IY_SP).SetFlagModifiers("  X 0X");
            InstructionFromID(InstructionID.AND_A).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_B).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_C).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_D).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_E).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_H).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_IXH).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_IXL).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_IYH).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_IYL).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_L).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_addrHL).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_addrIX_plus_d).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_addrIY_plus_d).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.AND_n).SetFlagModifiers("XX1P00", "A");
            InstructionFromID(InstructionID.BIT_0_A).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_B).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_C).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_D).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_E).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_H).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_L).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_addrHL).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_addrIX_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_0_addrIY_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_A).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_B).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_C).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_D).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_E).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_H).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_L).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_addrHL).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_addrIX_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_1_addrIY_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_A).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_B).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_C).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_D).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_E).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_H).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_L).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_addrHL).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_addrIX_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_2_addrIY_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_A).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_B).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_C).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_D).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_E).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_H).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_L).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_addrHL).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_addrIX_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_3_addrIY_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_A).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_B).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_C).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_D).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_E).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_H).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_L).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_addrHL).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_addrIX_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_4_addrIY_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_A).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_B).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_C).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_D).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_E).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_H).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_L).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_addrHL).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_addrIX_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_5_addrIY_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_A).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_B).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_C).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_D).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_E).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_H).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_L).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_addrHL).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_addrIX_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_6_addrIY_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_A).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_B).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_C).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_D).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_E).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_H).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_L).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_addrHL).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_addrIX_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.BIT_7_addrIY_plus_d).SetFlagModifiers("#X1#0 ");
            InstructionFromID(InstructionID.CALL_C_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_DJNZ_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_M_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_NC_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_NZ_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_PE_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_PO_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_P_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_Z_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CALL_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.CCF).SetFlagModifiers("  # 0X");
            InstructionFromID(InstructionID.CPD).SetFlagModifiers("XX#X1 ");
            InstructionFromID(InstructionID.CPDR).SetFlagModifiers("XX#X1 ");
            InstructionFromID(InstructionID.CPI).SetFlagModifiers("XX#X1 ");
            InstructionFromID(InstructionID.CPIR).SetFlagModifiers("XX#X1 ");
            InstructionFromID(InstructionID.CPL).SetFlagModifiers("  1 1 ");
            InstructionFromID(InstructionID.CP_A).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_B).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_C).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_D).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_E).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_H).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_IXH).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_IXL).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_IYH).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_IYL).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_L).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_addrHL).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_addrIX_plus_d).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_addrIY_plus_d).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.CP_n).SetFlagModifiers("XXXV1X");
            InstructionFromID(InstructionID.DAA).SetFlagModifiers("XXXP X", "A");
            InstructionFromID(InstructionID.DEC_A).SetFlagModifiers("XXXV1 ", "A");
            InstructionFromID(InstructionID.DEC_B).SetFlagModifiers("XXXV1 ", "B");
            InstructionFromID(InstructionID.DEC_BC).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.DEC_C).SetFlagModifiers("XXXV1 ", "C");
            InstructionFromID(InstructionID.DEC_D).SetFlagModifiers("XXXV1 ", "D");
            InstructionFromID(InstructionID.DEC_DE).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.DEC_E).SetFlagModifiers("XXXV1 ", "E");
            InstructionFromID(InstructionID.DEC_H).SetFlagModifiers("XXXV1 ", "H");
            InstructionFromID(InstructionID.DEC_HL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.DEC_IX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.DEC_IXH).SetFlagModifiers("XXXV1 ", "IXH");
            InstructionFromID(InstructionID.DEC_IXL).SetFlagModifiers("XXXV1 ", "IXL");
            InstructionFromID(InstructionID.DEC_IY).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.DEC_IYH).SetFlagModifiers("XXXV1 ", "IYH");
            InstructionFromID(InstructionID.DEC_IYL).SetFlagModifiers("XXXV1 ", "IYL");
            InstructionFromID(InstructionID.DEC_L).SetFlagModifiers("XXXV1 ", "L");
            InstructionFromID(InstructionID.DEC_SP).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.DEC_addrHL).SetFlagModifiers("XXXV1 ", "(HL)");
            InstructionFromID(InstructionID.DEC_addrIXplus_d).SetFlagModifiers("XXXV1 ");
            InstructionFromID(InstructionID.DEC_addrIYplus_d).SetFlagModifiers("XXXV1 ");
            InstructionFromID(InstructionID.DI).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.EI).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.EXX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.EX_AF_altAF).SetFlagModifiers("XXXXXX");
            InstructionFromID(InstructionID.EX_DE_HL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.EX_addrSP_HL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.EX_addrSP_IX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.EX_addrSP_IY).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.HALT).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.IM0).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.IM1).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.IM2).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.INC_A).SetFlagModifiers("XXXV0 ", "A");
            InstructionFromID(InstructionID.INC_B).SetFlagModifiers("XXXV0 ", "B");
            InstructionFromID(InstructionID.INC_BC).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.INC_C).SetFlagModifiers("XXXV0 ", "C");
            InstructionFromID(InstructionID.INC_D).SetFlagModifiers("XXXV0 ", "D");
            InstructionFromID(InstructionID.INC_DE).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.INC_E).SetFlagModifiers("XXXV0 ", "E");
            InstructionFromID(InstructionID.INC_H).SetFlagModifiers("XXXV0 ", "H");
            InstructionFromID(InstructionID.INC_HL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.INC_IX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.INC_IXH).SetFlagModifiers("XXXV0 ", "IXH");
            InstructionFromID(InstructionID.INC_IXL).SetFlagModifiers("XXXV0 ", "IXL");
            InstructionFromID(InstructionID.INC_IY).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.INC_IYH).SetFlagModifiers("XXXV0 ", "IYH");
            InstructionFromID(InstructionID.INC_IYL).SetFlagModifiers("XXXV0 ", "IYL");
            InstructionFromID(InstructionID.INC_L).SetFlagModifiers("XXXV0 ", "L");
            InstructionFromID(InstructionID.INC_SP).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.INC_addrHL).SetFlagModifiers("XXXV0 ", "(HL)");
            InstructionFromID(InstructionID.INC_addrIXplus_d).SetFlagModifiers("XXXV0 ");
            InstructionFromID(InstructionID.INC_addrIYplus_d).SetFlagModifiers("XXXV0 ");
            InstructionFromID(InstructionID.IND).SetFlagModifiers("#X##1 ");
            InstructionFromID(InstructionID.INDR).SetFlagModifiers("#X##1 ");
            InstructionFromID(InstructionID.INI).SetFlagModifiers("#X##1 ");
            InstructionFromID(InstructionID.INIR).SetFlagModifiers("#X##1 ");
            InstructionFromID(InstructionID.IN_A_addr_C).SetFlagModifiers("XX0P0 ", "A");
            InstructionFromID(InstructionID.IN_A_addr_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.IN_B_addr_C).SetFlagModifiers("XX0P0 ", "B");
            InstructionFromID(InstructionID.IN_C_addr_C).SetFlagModifiers("XX0P0 ", "C");
            InstructionFromID(InstructionID.IN_D_addr_C).SetFlagModifiers("XX0P0 ", "D");
            InstructionFromID(InstructionID.IN_E_addr_C).SetFlagModifiers("XX0P0 ", "E");
            InstructionFromID(InstructionID.IN_H_addr_C).SetFlagModifiers("XX0P0 ", "H");
            InstructionFromID(InstructionID.IN_L_addr_C).SetFlagModifiers("XX0P0 ", "L");
            InstructionFromID(InstructionID.JP_C_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_M_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_NC_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_NZ_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_PE_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_PO_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_P_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_Z_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_addr_IX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_addr_IY).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JP_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JR_C_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JR_NC_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JR_NZ_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JR_Z_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.JR_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LDD).SetFlagModifiers("##0X0 ");
            InstructionFromID(InstructionID.LDDR).SetFlagModifiers("##000 ");
            InstructionFromID(InstructionID.LDI).SetFlagModifiers("##0X0 ");
            InstructionFromID(InstructionID.LDIR).SetFlagModifiers("##0X0 ");
            InstructionFromID(InstructionID.LD_A_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_I).SetFlagModifiers("XX0X0 ", "A");
            InstructionFromID(InstructionID.LD_A_IXH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_IXL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_IYH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_IYL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_R).SetFlagModifiers("XX0X0 ", "A");
            InstructionFromID(InstructionID.LD_A_addr).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_addrBC).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_addrDE).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_addrIXplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_addrIYplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_A_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_BC_addr).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_BC_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_IXH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_IXL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_IYH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_IYL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_addrIXplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_addrIYplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_B_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_IXH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_IXL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_IYH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_IYL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_addrIXplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_addrIYplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_C_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_DE_addr).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_DE_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_IXH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_IXL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_IYH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_IYL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_addrIXplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_addrIYplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_D_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_IXH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_IXL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_IYH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_IYL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_addrIXplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_addrIYplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_E_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_HL_addr).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_HL_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_addrIXplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_addrIYplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_H_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXH_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXH_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXH_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXH_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXH_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXH_IXH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXH_IXL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXH_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXL_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXL_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXL_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXL_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXL_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXL_IXH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXL_IXL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IXL_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IX_addr).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IX_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYH_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYH_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYH_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYH_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYH_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYH_IYH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYH_IYL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYH_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYL_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYL_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYL_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYL_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYL_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYL_IYH).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYL_IYL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IYL_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IY_addr).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_IY_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_I_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_addrIXplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_addrIYplus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_L_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_R_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_SP_HL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_SP_IX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_SP_IY).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_SP_addr).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_SP_nn).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrBC_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrDE_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrHL_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIXplus_d_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIXplus_d_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIXplus_d_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIXplus_d_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIXplus_d_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIXplus_d_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIXplus_d_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIXplus_d_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIYplus_d_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIYplus_d_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIYplus_d_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIYplus_d_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIYplus_d_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIYplus_d_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIYplus_d_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addrIYplus_d_n).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addr_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addr_BC).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addr_DE).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addr_IX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addr_IY).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.LD_addr_SP).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.NEG).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.NOP).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.NOPNOP).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.OR_A).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_B).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_C).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_D).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_E).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_H).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_IXH).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_IXL).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_IYH).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_IYL).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_L).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_addrHL).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_addrIX_plus_d).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_addrIY_plus_d).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OR_n).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.OTDR).SetFlagModifiers("#1##1 ");
            InstructionFromID(InstructionID.OTIR).SetFlagModifiers("#1##1 ");
            InstructionFromID(InstructionID.OUTD).SetFlagModifiers("#X##1 ");
            InstructionFromID(InstructionID.OUTI).SetFlagModifiers("#X##1 ");
            InstructionFromID(InstructionID.OUT_A_addr_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.OUT_B_addr_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.OUT_C_addr_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.OUT_D_addr_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.OUT_E_addr_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.OUT_H_addr_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.OUT_L_addr_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.OUT_addr_n_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.POP_AF).SetFlagModifiers("XXXXXX");
            InstructionFromID(InstructionID.POP_BC).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.POP_DE).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.POP_HL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.POP_IX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.POP_IY).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.PUSH_AF).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.PUSH_BC).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.PUSH_DE).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.PUSH_HL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.PUSH_IX).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.PUSH_IY).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_0_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_1_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_2_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_3_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_4_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_5_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_6_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RES_7_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RETI).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RETN).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET_M).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET_NC).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET_NZ).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET_PE).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET_PO).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET_P).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RET_Z).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RLA).SetFlagModifiers("  0 0X", "A");
            InstructionFromID(InstructionID.RLCA).SetFlagModifiers("  0 0X", "A");
            InstructionFromID(InstructionID.RLC_A).SetFlagModifiers("XX0P0X", "A");
            InstructionFromID(InstructionID.RLC_B).SetFlagModifiers("XX0P0X", "B");
            InstructionFromID(InstructionID.RLC_C).SetFlagModifiers("XX0P0X", "C");
            InstructionFromID(InstructionID.RLC_D).SetFlagModifiers("XX0P0X", "D");
            InstructionFromID(InstructionID.RLC_E).SetFlagModifiers("XX0P0X", "E");
            InstructionFromID(InstructionID.RLC_H).SetFlagModifiers("XX0P0X", "H");
            InstructionFromID(InstructionID.RLC_L).SetFlagModifiers("XX0P0X", "L");
            InstructionFromID(InstructionID.RLC_addrHL).SetFlagModifiers("XX0P0X", "(HL)");
            InstructionFromID(InstructionID.RLC_addrIX_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.RLC_addrIY_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.RLD).SetFlagModifiers("XX0P0 ", "A");
            InstructionFromID(InstructionID.RL_A).SetFlagModifiers("XX0P0X", "A");
            InstructionFromID(InstructionID.RL_B).SetFlagModifiers("XX0P0X", "B");
            InstructionFromID(InstructionID.RL_C).SetFlagModifiers("XX0P0X", "C");
            InstructionFromID(InstructionID.RL_D).SetFlagModifiers("XX0P0X", "D");
            InstructionFromID(InstructionID.RL_E).SetFlagModifiers("XX0P0X", "E");
            InstructionFromID(InstructionID.RL_H).SetFlagModifiers("XX0P0X", "H");
            InstructionFromID(InstructionID.RL_L).SetFlagModifiers("XX0P0X", "L");
            InstructionFromID(InstructionID.RL_addrHL).SetFlagModifiers("XX0P0X", "(HL)");
            InstructionFromID(InstructionID.RL_addrIX_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.RL_addrIY_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.RRA).SetFlagModifiers("  0 0X", "A");
            InstructionFromID(InstructionID.RRCA).SetFlagModifiers("  0 0X", "A");
            InstructionFromID(InstructionID.RRC_A).SetFlagModifiers("XX0P0X", "A");
            InstructionFromID(InstructionID.RRC_B).SetFlagModifiers("XX0P0X", "B");
            InstructionFromID(InstructionID.RRC_C).SetFlagModifiers("XX0P0X", "C");
            InstructionFromID(InstructionID.RRC_D).SetFlagModifiers("XX0P0X", "D");
            InstructionFromID(InstructionID.RRC_E).SetFlagModifiers("XX0P0X", "E");
            InstructionFromID(InstructionID.RRC_H).SetFlagModifiers("XX0P0X", "H");
            InstructionFromID(InstructionID.RRC_L).SetFlagModifiers("XX0P0X", "L");
            InstructionFromID(InstructionID.RRC_addrHL).SetFlagModifiers("XX0P0X", "(HL)");
            InstructionFromID(InstructionID.RRC_addrIX_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.RRC_addrIY_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.RRD).SetFlagModifiers("XX0P0 ", "A");
            InstructionFromID(InstructionID.RR_A).SetFlagModifiers("XX0P0X", "A");
            InstructionFromID(InstructionID.RR_B).SetFlagModifiers("XX0P0X", "B");
            InstructionFromID(InstructionID.RR_C).SetFlagModifiers("XX0P0X", "C");
            InstructionFromID(InstructionID.RR_D).SetFlagModifiers("XX0P0X", "D");
            InstructionFromID(InstructionID.RR_E).SetFlagModifiers("XX0P0X", "E");
            InstructionFromID(InstructionID.RR_H).SetFlagModifiers("XX0P0X", "H");
            InstructionFromID(InstructionID.RR_L).SetFlagModifiers("XX0P0X", "L");
            InstructionFromID(InstructionID.RR_addrHL).SetFlagModifiers("XX0P0X", "(HL)");
            InstructionFromID(InstructionID.RR_addrIX_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.RR_addrIY_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.RST_00).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RST_08).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RST_10).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RST_18).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RST_20).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RST_28).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RST_30).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.RST_38).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SBC_A_A).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_B).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_C).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_D).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_E).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_H).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_IXH).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_IXL).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_IYH).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_IYL).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_L).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_addrHL).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_addrIXplus_d).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_addrIYplus_d).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_A_n).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SBC_HL_BC).SetFlagModifiers("XXXV1X", "HL");
            InstructionFromID(InstructionID.SBC_HL_DE).SetFlagModifiers("XXXV1X", "HL");
            InstructionFromID(InstructionID.SBC_HL_HL).SetFlagModifiers("XXXV1X", "HL");
            InstructionFromID(InstructionID.SBC_HL_SP).SetFlagModifiers("XXXV1X", "HL");
            InstructionFromID(InstructionID.SCF).SetFlagModifiers("  0 01");
            InstructionFromID(InstructionID.SET_0_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_0_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_1_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_2_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_3_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_4_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_5_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_6_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_A).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_B).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_C).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_D).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_E).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_H).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_L).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_addrHL).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_addrIX_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SET_7_addrIY_plus_d).SetFlagModifiers("      ");
            InstructionFromID(InstructionID.SLA_A).SetFlagModifiers("XX0P0X", "A");
            InstructionFromID(InstructionID.SLA_B).SetFlagModifiers("XX0P0X", "B");
            InstructionFromID(InstructionID.SLA_C).SetFlagModifiers("XX0P0X", "C");
            InstructionFromID(InstructionID.SLA_D).SetFlagModifiers("XX0P0X", "D");
            InstructionFromID(InstructionID.SLA_E).SetFlagModifiers("XX0P0X", "E");
            InstructionFromID(InstructionID.SLA_H).SetFlagModifiers("XX0P0X", "H");
            InstructionFromID(InstructionID.SLA_L).SetFlagModifiers("XX0P0X", "L");
            InstructionFromID(InstructionID.SLA_addrHL).SetFlagModifiers("XX0P0X", "(HL)");
            InstructionFromID(InstructionID.SLA_addrIX_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.SLA_addrIY_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.SLL_A).SetFlagModifiers("XX0P0X", "A");
            InstructionFromID(InstructionID.SLL_B).SetFlagModifiers("XX0P0X", "B");
            InstructionFromID(InstructionID.SLL_C).SetFlagModifiers("XX0P0X", "C");
            InstructionFromID(InstructionID.SLL_D).SetFlagModifiers("XX0P0X", "D");
            InstructionFromID(InstructionID.SLL_E).SetFlagModifiers("XX0P0X", "E");
            InstructionFromID(InstructionID.SLL_H).SetFlagModifiers("XX0P0X", "H");
            InstructionFromID(InstructionID.SLL_L).SetFlagModifiers("XX0P0X", "L");
            InstructionFromID(InstructionID.SLL_addrHL).SetFlagModifiers("XX0P0X", "(HL)");
            InstructionFromID(InstructionID.SRA_A).SetFlagModifiers("XX0P0X", "A");
            InstructionFromID(InstructionID.SRA_B).SetFlagModifiers("XX0P0X", "B");
            InstructionFromID(InstructionID.SRA_C).SetFlagModifiers("XX0P0X", "C");
            InstructionFromID(InstructionID.SRA_D).SetFlagModifiers("XX0P0X", "D");
            InstructionFromID(InstructionID.SRA_E).SetFlagModifiers("XX0P0X", "E");
            InstructionFromID(InstructionID.SRA_H).SetFlagModifiers("XX0P0X", "H");
            InstructionFromID(InstructionID.SRA_L).SetFlagModifiers("XX0P0X", "L");
            InstructionFromID(InstructionID.SRA_addrHL).SetFlagModifiers("XX0P0X", "(HL)");
            InstructionFromID(InstructionID.SRA_addrIX_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.SRA_addrIY_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.SRL_A).SetFlagModifiers("XX0P0X", "A");
            InstructionFromID(InstructionID.SRL_B).SetFlagModifiers("XX0P0X", "B");
            InstructionFromID(InstructionID.SRL_C).SetFlagModifiers("XX0P0X", "C");
            InstructionFromID(InstructionID.SRL_D).SetFlagModifiers("XX0P0X", "D");
            InstructionFromID(InstructionID.SRL_E).SetFlagModifiers("XX0P0X", "E");
            InstructionFromID(InstructionID.SRL_H).SetFlagModifiers("XX0P0X", "H");
            InstructionFromID(InstructionID.SRL_L).SetFlagModifiers("XX0P0X", "L");
            InstructionFromID(InstructionID.SRL_addrHL).SetFlagModifiers("XX0P0X", "(HL)");
            InstructionFromID(InstructionID.SRL_addrIX_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.SRL_addrIY_plus_d).SetFlagModifiers("XX0P0X");
            InstructionFromID(InstructionID.SUB_A).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_B).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_C).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_D).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_E).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_H).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_IXH).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_IXL).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_IYH).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_IYL).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_L).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_addrHL).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_addrIXplus_d).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_addrIYplus_d).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.SUB_n).SetFlagModifiers("XXXV1X", "A");
            InstructionFromID(InstructionID.XOR_A).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_B).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_C).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_D).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_E).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_H).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_IXH).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_IXL).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_IYH).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_IYL).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_L).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_addrHL).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_addrIX_plus_d).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_addrIY_plus_d).SetFlagModifiers("XX0P00", "A");
            InstructionFromID(InstructionID.XOR_n).SetFlagModifiers("XX0P00", "A");
        }
    }
}