﻿// Anyone is free to copy, modify, use, compile, or distribute this software,
// either in source code form or as a compiled binary, for any non-commercial
// purpose.  For commercial enquiries please contact contact@gimpysoftware.com
//
// If modified, please retain this copyright header, and consider telling us
// about your changes.  We're always glad to see how people use our code!
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
// Gimpy Software does not accept any liability for damage caused by executing
// or modifying this code.
//
// Copyright (c) 2013, Gimpy Software.
//
using System.Collections.Generic;

namespace Speculator
{
    public partial class Z80Instructions
    {
        internal void InitList()
        {
            Instructions = new List<Instruction>
                           {
                               new Instruction(InstructionID.ADC_A_A, "ADC A,A", "8F", 4),
                               new Instruction(InstructionID.ADC_A_B, "ADC A,B", "88", 4),
                               new Instruction(InstructionID.ADC_A_C, "ADC A,C", "89", 4),
                               new Instruction(InstructionID.ADC_A_D, "ADC A,D", "8A", 4),
                               new Instruction(InstructionID.ADC_A_E, "ADC A,E", "8B", 4),
                               new Instruction(InstructionID.ADC_A_H, "ADC A,H", "8C", 4),
                               new Instruction(InstructionID.ADC_A_IXH, "ADC A,IXH", "DD 8C", 8),
                               new Instruction(InstructionID.ADC_A_IXL, "ADC A,IXL", "DD 8D", 8),
                               new Instruction(InstructionID.ADC_A_IYH, "ADC A,IYH", "FD 8C", 8),
                               new Instruction(InstructionID.ADC_A_IYL, "ADC A,IYL", "FD 8D", 8),
                               new Instruction(InstructionID.ADC_A_L, "ADC A,L", "8D", 4),
                               new Instruction(InstructionID.ADC_A_addrHL, "ADC A,(HL)", "8E", 7),
                               new Instruction(InstructionID.ADC_A_addrIXplus_d, "ADC A,(IX+d)", "DD 8E d", 19),
                               new Instruction(InstructionID.ADC_A_addrIYplus_d, "ADC A,(IY+d)", "FD 8E d", 19),
                               new Instruction(InstructionID.ADC_A_n, "ADC A,n", "CE n", 7),
                               new Instruction(InstructionID.ADC_HL_BC, "ADC HL,BC", "ED 4A", 15),
                               new Instruction(InstructionID.ADC_HL_DE, "ADC HL,DE", "ED 5A", 15),
                               new Instruction(InstructionID.ADC_HL_HL, "ADC HL,HL", "ED 6A", 15),
                               new Instruction(InstructionID.ADC_HL_SP, "ADC HL,SP", "ED 7A", 15),
                               new Instruction(InstructionID.ADD_A_A, "ADD A,A", "87", 4),
                               new Instruction(InstructionID.ADD_A_B, "ADD A,B", "80", 4),
                               new Instruction(InstructionID.ADD_A_C, "ADD A,C", "81", 4),
                               new Instruction(InstructionID.ADD_A_D, "ADD A,D", "82", 4),
                               new Instruction(InstructionID.ADD_A_E, "ADD A,E", "83", 4),
                               new Instruction(InstructionID.ADD_A_H, "ADD A,H", "84", 4),
                               new Instruction(InstructionID.ADD_A_IXH, "ADD A,IXH", "DD 84", 8),
                               new Instruction(InstructionID.ADD_A_IXL, "ADD A,IXL", "DD 85", 8),
                               new Instruction(InstructionID.ADD_A_IYH, "AFD A,IYH", "FD 84", 8),
                               new Instruction(InstructionID.ADD_A_IYL, "AFD A,IYL", "FD 85", 8),
                               new Instruction(InstructionID.ADD_A_L, "ADD A,L", "85", 4),
                               new Instruction(InstructionID.ADD_A_addrHL, "ADD A,(HL)", "86", 7),
                               new Instruction(InstructionID.ADD_A_addrIXplus_d, "ADD A,(IX+d)", "DD 86 d", 19),
                               new Instruction(InstructionID.ADD_A_addrIYplus_d, "ADD A,(IY+d)", "FD 86 d", 19),
                               new Instruction(InstructionID.ADD_A_n, "ADD A,n", "C6 n", 7),
                               new Instruction(InstructionID.ADD_HL_BC, "ADD HL,BC", "09", 11),
                               new Instruction(InstructionID.ADD_HL_DE, "ADD HL,DE", "19", 11),
                               new Instruction(InstructionID.ADD_HL_HL, "ADD HL,HL", "29", 11),
                               new Instruction(InstructionID.ADD_HL_SP, "ADD HL,SP", "39", 11),
                               new Instruction(InstructionID.ADD_IX_BC, "ADD IX,BC", "DD 09", 15),
                               new Instruction(InstructionID.ADD_IX_DE, "ADD IX,DE", "DD 19", 15),
                               new Instruction(InstructionID.ADD_IX_IX, "ADD IX,IX", "DD 29", 15),
                               new Instruction(InstructionID.ADD_IX_SP, "ADD IX,SP", "DD 39", 15),
                               new Instruction(InstructionID.ADD_IY_BC, "ADD IY,BC", "FD 09", 15),
                               new Instruction(InstructionID.ADD_IY_DE, "ADD IY,DE", "FD 19", 15),
                               new Instruction(InstructionID.ADD_IY_IY, "ADD IY,IY", "FD 29", 15),
                               new Instruction(InstructionID.ADD_IY_SP, "ADD IY,SP", "FD 39", 15),
                               new Instruction(InstructionID.AND_A, "AND A", "A7", 4),
                               new Instruction(InstructionID.AND_B, "AND B", "A0", 4),
                               new Instruction(InstructionID.AND_C, "AND C", "A1", 4),
                               new Instruction(InstructionID.AND_D, "AND D", "A2", 4),
                               new Instruction(InstructionID.AND_E, "AND E", "A3", 4),
                               new Instruction(InstructionID.AND_H, "AND H", "A4", 4),
                               new Instruction(InstructionID.AND_IXH, "AND IXH", "DD A4", 8),
                               new Instruction(InstructionID.AND_IXL, "AND IXL", "DD A5", 8),
                               new Instruction(InstructionID.AND_IYH, "AND IYH", "FD A4", 8),
                               new Instruction(InstructionID.AND_IYL, "AND IYL", "FD A5", 8),
                               new Instruction(InstructionID.AND_L, "AND L", "A5", 4),
                               new Instruction(InstructionID.AND_addrHL, "AND (HL)", "A6", 7),
                               new Instruction(InstructionID.AND_addrIX_plus_d, "AND (IX+d)", "DD A6 d", 19),
                               new Instruction(InstructionID.AND_addrIY_plus_d, "AND (IY+d)", "FD A6 d", 19),
                               new Instruction(InstructionID.AND_n, "AND n", "E6 n", 7),
                               new Instruction(InstructionID.BIT_0_A, "BIT 0,A", "CB 47", 8),
                               new Instruction(InstructionID.BIT_0_B, "BIT 0,B", "CB 40", 8),
                               new Instruction(InstructionID.BIT_0_C, "BIT 0,C", "CB 41", 8),
                               new Instruction(InstructionID.BIT_0_D, "BIT 0,D", "CB 42", 8),
                               new Instruction(InstructionID.BIT_0_E, "BIT 0,E", "CB 43", 8),
                               new Instruction(InstructionID.BIT_0_H, "BIT 0,H", "CB 44", 8),
                               new Instruction(InstructionID.BIT_0_L, "BIT 0,L", "CB 45", 8),
                               new Instruction(InstructionID.BIT_0_addrHL, "BIT 0,(HL)", "CB 46", 12),
                               new Instruction(InstructionID.BIT_0_addrIX_plus_d, "BIT 0,(IX+d)", "DD CB d 46", 20),
                               new Instruction(InstructionID.BIT_0_addrIY_plus_d, "BIT 0,(IY+d)", "FD CB d 46", 20),
                               new Instruction(InstructionID.BIT_1_A, "BIT 1,A", "CB 4F", 8),
                               new Instruction(InstructionID.BIT_1_B, "BIT 1,B", "CB 48", 8),
                               new Instruction(InstructionID.BIT_1_C, "BIT 1,C", "CB 49", 8),
                               new Instruction(InstructionID.BIT_1_D, "BIT 1,D", "CB 4A", 8),
                               new Instruction(InstructionID.BIT_1_E, "BIT 1,E", "CB 4B", 8),
                               new Instruction(InstructionID.BIT_1_H, "BIT 1,H", "CB 4C", 8),
                               new Instruction(InstructionID.BIT_1_L, "BIT 1,L", "CB 4D", 8),
                               new Instruction(InstructionID.BIT_1_addrHL, "BIT 1,(HL)", "CB 4E", 12),
                               new Instruction(InstructionID.BIT_1_addrIX_plus_d, "BIT 1,(IX+d)", "DD CB d 4E", 20),
                               new Instruction(InstructionID.BIT_1_addrIY_plus_d, "BIT 1,(IY+d)", "FD CB d 4E", 20),
                               new Instruction(InstructionID.BIT_2_A, "BIT 2,A", "CB 57", 8),
                               new Instruction(InstructionID.BIT_2_B, "BIT 2,B", "CB 50", 8),
                               new Instruction(InstructionID.BIT_2_C, "BIT 2,C", "CB 51", 8),
                               new Instruction(InstructionID.BIT_2_D, "BIT 2,D", "CB 52", 8),
                               new Instruction(InstructionID.BIT_2_E, "BIT 2,E", "CB 53", 8),
                               new Instruction(InstructionID.BIT_2_H, "BIT 2,H", "CB 54", 8),
                               new Instruction(InstructionID.BIT_2_L, "BIT 2,L", "CB 55", 8),
                               new Instruction(InstructionID.BIT_2_addrHL, "BIT 2,(HL)", "CB 56", 12),
                               new Instruction(InstructionID.BIT_2_addrIX_plus_d, "BIT 2,(IX+d)", "DD CB d 56", 20),
                               new Instruction(InstructionID.BIT_2_addrIY_plus_d, "BIT 2,(IY+d)", "FD CB d 56", 20),
                               new Instruction(InstructionID.BIT_3_A, "BIT 3,A", "CB 5F", 8),
                               new Instruction(InstructionID.BIT_3_B, "BIT 3,B", "CB 58", 8),
                               new Instruction(InstructionID.BIT_3_C, "BIT 3,C", "CB 59", 8),
                               new Instruction(InstructionID.BIT_3_D, "BIT 3,D", "CB 5A", 8),
                               new Instruction(InstructionID.BIT_3_E, "BIT 3,E", "CB 5B", 8),
                               new Instruction(InstructionID.BIT_3_H, "BIT 3,H", "CB 5C", 8),
                               new Instruction(InstructionID.BIT_3_L, "BIT 3,L", "CB 5D", 8),
                               new Instruction(InstructionID.BIT_3_addrHL, "BIT 3,(HL)", "CB 5E", 12),
                               new Instruction(InstructionID.BIT_3_addrIX_plus_d, "BIT 3,(IX+d)", "DD CB d 5E", 20),
                               new Instruction(InstructionID.BIT_3_addrIY_plus_d, "BIT 3,(IY+d)", "FD CB d 5E", 20),
                               new Instruction(InstructionID.BIT_4_A, "BIT 4,A", "CB 67", 8),
                               new Instruction(InstructionID.BIT_4_B, "BIT 4,B", "CB 60", 8),
                               new Instruction(InstructionID.BIT_4_C, "BIT 4,C", "CB 61", 8),
                               new Instruction(InstructionID.BIT_4_D, "BIT 4,D", "CB 62", 8),
                               new Instruction(InstructionID.BIT_4_E, "BIT 4,E", "CB 63", 8),
                               new Instruction(InstructionID.BIT_4_H, "BIT 4,H", "CB 64", 8),
                               new Instruction(InstructionID.BIT_4_L, "BIT 4,L", "CB 65", 8),
                               new Instruction(InstructionID.BIT_4_addrHL, "BIT 4,(HL)", "CB 66", 12),
                               new Instruction(InstructionID.BIT_4_addrIX_plus_d, "BIT 4,(IX+d)", "DD CB d 66", 20),
                               new Instruction(InstructionID.BIT_4_addrIY_plus_d, "BIT 4,(IY+d)", "FD CB d 66", 20),
                               new Instruction(InstructionID.BIT_5_A, "BIT 5,A", "CB 6F", 8),
                               new Instruction(InstructionID.BIT_5_B, "BIT 5,B", "CB 68", 8),
                               new Instruction(InstructionID.BIT_5_C, "BIT 5,C", "CB 69", 8),
                               new Instruction(InstructionID.BIT_5_D, "BIT 5,D", "CB 6A", 8),
                               new Instruction(InstructionID.BIT_5_E, "BIT 5,E", "CB 6B", 8),
                               new Instruction(InstructionID.BIT_5_H, "BIT 5,H", "CB 6C", 8),
                               new Instruction(InstructionID.BIT_5_L, "BIT 5,L", "CB 6D", 8),
                               new Instruction(InstructionID.BIT_5_addrHL, "BIT 5,(HL)", "CB 6E", 12),
                               new Instruction(InstructionID.BIT_5_addrIX_plus_d, "BIT 5,(IX+d)", "DD CB d 6E", 20),
                               new Instruction(InstructionID.BIT_5_addrIY_plus_d, "BIT 5,(IY+d)", "FD CB d 6E", 20),
                               new Instruction(InstructionID.BIT_6_A, "BIT 6,A", "CB 77", 8),
                               new Instruction(InstructionID.BIT_6_B, "BIT 6,B", "CB 70", 8),
                               new Instruction(InstructionID.BIT_6_C, "BIT 6,C", "CB 71", 8),
                               new Instruction(InstructionID.BIT_6_D, "BIT 6,D", "CB 72", 8),
                               new Instruction(InstructionID.BIT_6_E, "BIT 6,E", "CB 73", 8),
                               new Instruction(InstructionID.BIT_6_H, "BIT 6,H", "CB 74", 8),
                               new Instruction(InstructionID.BIT_6_L, "BIT 6,L", "CB 75", 8),
                               new Instruction(InstructionID.BIT_6_addrHL, "BIT 6,(HL)", "CB 76", 12),
                               new Instruction(InstructionID.BIT_6_addrIX_plus_d, "BIT 6,(IX+d)", "DD CB d 76", 20),
                               new Instruction(InstructionID.BIT_6_addrIY_plus_d, "BIT 6,(IY+d)", "FD CB d 76", 20),
                               new Instruction(InstructionID.BIT_7_A, "BIT 7,A", "CB 7F", 8),
                               new Instruction(InstructionID.BIT_7_B, "BIT 7,B", "CB 78", 8),
                               new Instruction(InstructionID.BIT_7_C, "BIT 7,C", "CB 79", 8),
                               new Instruction(InstructionID.BIT_7_D, "BIT 7,D", "CB 7A", 8),
                               new Instruction(InstructionID.BIT_7_E, "BIT 7,E", "CB 7B", 8),
                               new Instruction(InstructionID.BIT_7_H, "BIT 7,H", "CB 7C", 8),
                               new Instruction(InstructionID.BIT_7_L, "BIT 7,L", "CB 7D", 8),
                               new Instruction(InstructionID.BIT_7_addrHL, "BIT 7,(HL)", "CB 7E", 12),
                               new Instruction(InstructionID.BIT_7_addrIX_plus_d, "BIT 7,(IX+d)", "DD CB d 7E", 20),
                               new Instruction(InstructionID.BIT_7_addrIY_plus_d, "BIT 7,(IY+d)", "FD CB d 7E", 20),
                               new Instruction(InstructionID.CALL_C_nn, "CALL C,nn", "DC n n", 17),
                               new Instruction(InstructionID.CALL_DJNZ_n, "DJNZ n", "10 n", 8),
                               new Instruction(InstructionID.CALL_M_nn, "CALL M,nn", "FC n n", 17),
                               new Instruction(InstructionID.CALL_NC_nn, "CALL NC,nn", "D4 n n", 17),
                               new Instruction(InstructionID.CALL_NZ_nn, "CALL NZ,nn", "C4 n n", 17),
                               new Instruction(InstructionID.CALL_PE_nn, "CALL PE,nn", "EC n n", 17),
                               new Instruction(InstructionID.CALL_PO_nn, "CALL PO,nn", "E4 n n", 17),
                               new Instruction(InstructionID.CALL_P_nn, "CALL P,nn", "F4 n n", 17),
                               new Instruction(InstructionID.CALL_Z_nn, "CALL Z,nn", "CC n n", 17),
                               new Instruction(InstructionID.CALL_nn, "CALL nn", "CD n n", 17),
                               new Instruction(InstructionID.CCF, "CCF", "3F", 4),
                               new Instruction(InstructionID.CPD, "CPD", "ED A9", 16),
                               new Instruction(InstructionID.CPDR, "CPDR", "ED B9", 21),
                               new Instruction(InstructionID.CPI, "CPI", "ED A1", 16),
                               new Instruction(InstructionID.CPIR, "CPIR", "ED B1", 21),
                               new Instruction(InstructionID.CPL, "CPL", "2F", 4),
                               new Instruction(InstructionID.CP_A, "CP A", "BF", 4),
                               new Instruction(InstructionID.CP_B, "CP B", "B8", 4),
                               new Instruction(InstructionID.CP_C, "CP C", "B9", 4),
                               new Instruction(InstructionID.CP_D, "CP D", "BA", 4),
                               new Instruction(InstructionID.CP_E, "CP E", "BB", 4),
                               new Instruction(InstructionID.CP_H, "CP H", "BC", 4),
                               new Instruction(InstructionID.CP_IXH, "CP IXH", "DD BC", 8),
                               new Instruction(InstructionID.CP_IXL, "CP IXL", "DD BD", 8),
                               new Instruction(InstructionID.CP_IYH, "CP IYH", "FD BC", 8),
                               new Instruction(InstructionID.CP_IYL, "CP IYL", "FD BD", 8),
                               new Instruction(InstructionID.CP_L, "CP L", "BD", 4),
                               new Instruction(InstructionID.CP_addrHL, "CP (HL)", "BE", 7),
                               new Instruction(InstructionID.CP_addrIX_plus_d, "CP (IX+d)", "DD BE d", 19),
                               new Instruction(InstructionID.CP_addrIY_plus_d, "CP (IY+d)", "FD BE d", 19),
                               new Instruction(InstructionID.CP_n, "CP n", "FE n", 7),
                               new Instruction(InstructionID.DAA, "DAA", "27", 4),
                               new Instruction(InstructionID.DEC_A, "DEC A", "3D", 4),
                               new Instruction(InstructionID.DEC_B, "DEC B", "05", 4),
                               new Instruction(InstructionID.DEC_BC, "DEC BC", "0B", 6),
                               new Instruction(InstructionID.DEC_C, "DEC C", "0D", 4),
                               new Instruction(InstructionID.DEC_D, "DEC D", "15", 4),
                               new Instruction(InstructionID.DEC_DE, "DEC DE", "1B", 6),
                               new Instruction(InstructionID.DEC_E, "DEC E", "1D", 4),
                               new Instruction(InstructionID.DEC_H, "DEC H", "25", 4),
                               new Instruction(InstructionID.DEC_HL, "DEC HL", "2B", 6),
                               new Instruction(InstructionID.DEC_IX, "DEC IX", "DD 2B", 10),
                               new Instruction(InstructionID.DEC_IXH, "DEC IXH", "DD 25", 8),
                               new Instruction(InstructionID.DEC_IXL, "DEC IXL", "DD 2D", 8),
                               new Instruction(InstructionID.DEC_IY, "DEC IY", "FD 2B", 10),
                               new Instruction(InstructionID.DEC_IYH, "DEC IYH", "FD 25", 8),
                               new Instruction(InstructionID.DEC_IYL, "DEC IYL", "FD 2D", 8),
                               new Instruction(InstructionID.DEC_L, "DEC L", "2D", 4),
                               new Instruction(InstructionID.DEC_SP, "DEC SP", "3B", 6),
                               new Instruction(InstructionID.DEC_addrHL, "DEC (HL)", "35", 11),
                               new Instruction(InstructionID.DEC_addrIXplus_d, "DEC (IX+d)", "DD 35 d", 23),
                               new Instruction(InstructionID.DEC_addrIYplus_d, "DEC (IY+d)", "FD 35 d", 23),
                               new Instruction(InstructionID.DI, "DI", "F3", 4),
                               new Instruction(InstructionID.EI, "EI", "FB", 4),
                               new Instruction(InstructionID.EXX, "EXX", "D9", 4),
                               new Instruction(InstructionID.EX_AF_altAF, "EX AF,AF'", "08", 4),
                               new Instruction(InstructionID.EX_DE_HL, "EX DE,HL", "EB", 4),
                               new Instruction(InstructionID.EX_addrSP_HL, "EX (SP),HL", "E3", 19),
                               new Instruction(InstructionID.EX_addrSP_IX, "EX (SP),IX", "DD E3", 23),
                               new Instruction(InstructionID.EX_addrSP_IY, "EX (SP),IY", "FD E3", 23),
                               new Instruction(InstructionID.HALT, "HALT", "76", 4),
                               new Instruction(InstructionID.IM0, "IM0", "ED 46", 4),
                               new Instruction(InstructionID.IM1, "IM1", "ED 56", 4),
                               new Instruction(InstructionID.IM2, "IM2", "ED 5E", 4),
                               new Instruction(InstructionID.INC_A, "INC A", "3C", 4),
                               new Instruction(InstructionID.INC_B, "INC B", "04", 4),
                               new Instruction(InstructionID.INC_BC, "INC BC", "03", 6),
                               new Instruction(InstructionID.INC_C, "INC C", "0C", 4),
                               new Instruction(InstructionID.INC_D, "INC D", "14", 4),
                               new Instruction(InstructionID.INC_DE, "INC DE", "13", 6),
                               new Instruction(InstructionID.INC_E, "INC E", "1C", 4),
                               new Instruction(InstructionID.INC_H, "INC H", "24", 4),
                               new Instruction(InstructionID.INC_HL, "INC HL", "23", 6),
                               new Instruction(InstructionID.INC_IX, "INC IX", "DD 23", 10),
                               new Instruction(InstructionID.INC_IXH, "INC IXH", "DD 24", 8),
                               new Instruction(InstructionID.INC_IXL, "INC IXL", "DD 2C", 8),
                               new Instruction(InstructionID.INC_IY, "INC IY", "FD 23", 10),
                               new Instruction(InstructionID.INC_IYH, "INC IYH", "FD 24", 8),
                               new Instruction(InstructionID.INC_IYL, "INC IYL", "FD 2C", 8),
                               new Instruction(InstructionID.INC_L, "INC L", "2C", 4),
                               new Instruction(InstructionID.INC_SP, "INC SP", "33", 6),
                               new Instruction(InstructionID.INC_addrHL, "INC (HL)", "34", 11),
                               new Instruction(InstructionID.INC_addrIXplus_d, "INC (IX+d)", "DD 34 d", 23),
                               new Instruction(InstructionID.INC_addrIYplus_d, "INC (IY+d)", "FD 34 d", 23),
                               new Instruction(InstructionID.IND, "IND", "ED AA", 16),
                               new Instruction(InstructionID.INDR, "INDR", "ED BA", 21),
                               new Instruction(InstructionID.INI, "INI", "ED A2", 16),
                               new Instruction(InstructionID.INIR, "INIR", "ED B2", 21),
                               new Instruction(InstructionID.IN_A_addr_C, "IN A,(C)", "ED 78", 12),
                               new Instruction(InstructionID.IN_A_addr_n, "IN A,(n)", "DB n", 11),
                               new Instruction(InstructionID.IN_B_addr_C, "IN B,(C)", "ED 40", 12),
                               new Instruction(InstructionID.IN_C_addr_C, "IN C,(C)", "ED 48", 12),
                               new Instruction(InstructionID.IN_D_addr_C, "IN D,(C)", "ED 50", 12),
                               new Instruction(InstructionID.IN_E_addr_C, "IN E,(C)", "ED 58", 12),
                               new Instruction(InstructionID.IN_H_addr_C, "IN H,(C)", "ED 60", 12),
                               new Instruction(InstructionID.IN_L_addr_C, "IN L,(C)", "ED 68", 12),
                               new Instruction(InstructionID.JP_C_nn, "JP C,nn", "DA n n", 10),
                               new Instruction(InstructionID.JP_M_nn, "JP M,nn", "FA n n", 10),
                               new Instruction(InstructionID.JP_NC_nn, "JP NC,nn", "D2 n n", 10),
                               new Instruction(InstructionID.JP_NZ_nn, "JP NZ,nn", "C2 n n", 10),
                               new Instruction(InstructionID.JP_PE_nn, "JP PE,nn", "EA n n", 10),
                               new Instruction(InstructionID.JP_PO_nn, "JP PO,nn", "E2 n n", 10),
                               new Instruction(InstructionID.JP_P_nn, "JP P,nn", "F2 n n", 10),
                               new Instruction(InstructionID.JP_Z_nn, "JP Z,nn", "CA n n", 10),
                               new Instruction(InstructionID.JP_addrHL, "JP (HL)", "E9", 4),
                               new Instruction(InstructionID.JP_addr_IX, "JP (IX)", "DD E9", 8),
                               new Instruction(InstructionID.JP_addr_IY, "JP (IY)", "FD E9", 8),
                               new Instruction(InstructionID.JP_nn, "JP nn", "C3 n n", 10),
                               new Instruction(InstructionID.JR_C_n, "JR C,d", "38 d", 12),
                               new Instruction(InstructionID.JR_NC_n, "JR NC,d", "30 d", 12),
                               new Instruction(InstructionID.JR_NZ_n, "JR NZ,d", "20 d", 12),
                               new Instruction(InstructionID.JR_Z_n, "JR Z,d", "28 d", 12),
                               new Instruction(InstructionID.JR_n, "JR d", "18 d", 12),
                               new Instruction(InstructionID.LDD, "LDD", "ED A8", 16),
                               new Instruction(InstructionID.LDDR, "LDDR", "ED B8"),
                               new Instruction(InstructionID.LDI, "LDI", "ED A0", 16),
                               new Instruction(InstructionID.LDIR, "LDIR", "ED B0"),
                               new Instruction(InstructionID.LD_A_A, "LD A,A", "7F", 4),
                               new Instruction(InstructionID.LD_A_B, "LD A,B", "78", 4),
                               new Instruction(InstructionID.LD_A_C, "LD A,C", "79", 4),
                               new Instruction(InstructionID.LD_A_D, "LD A,D", "7A", 4),
                               new Instruction(InstructionID.LD_A_E, "LD A,E", "7B", 4),
                               new Instruction(InstructionID.LD_A_H, "LD A,H", "7C", 4),
                               new Instruction(InstructionID.LD_A_I, "LD A,I", "ED 57", 9),
                               new Instruction(InstructionID.LD_A_IXH, "LD A,IXH", "DD 7C", 8),
                               new Instruction(InstructionID.LD_A_IXL, "LD A,IXL", "DD 7D", 8),
                               new Instruction(InstructionID.LD_A_IYH, "LD A,IYH", "FD 7C", 8),
                               new Instruction(InstructionID.LD_A_IYL, "LD A,IYL", "FD 7D", 8),
                               new Instruction(InstructionID.LD_A_L, "LD A,L", "7D", 4),
                               new Instruction(InstructionID.LD_A_R, "LD A,R", "ED 5F", 9),
                               new Instruction(InstructionID.LD_A_addr, "LD A,(nn)", "3A n n", 13),
                               new Instruction(InstructionID.LD_A_addrBC, "LD A,(BC)", "0A", 7),
                               new Instruction(InstructionID.LD_A_addrDE, "LD A,(DE)", "1A", 7),
                               new Instruction(InstructionID.LD_A_addrHL, "LD A,(HL)", "7E", 7),
                               new Instruction(InstructionID.LD_A_addrIXplus_d, "LD A,(IX+d)", "DD 7E d", 19),
                               new Instruction(InstructionID.LD_A_addrIYplus_d, "LD A,(IY+d)", "FD 7E d", 19),
                               new Instruction(InstructionID.LD_A_n, "LD A,n", "3E n", 7),
                               new Instruction(InstructionID.LD_BC_addr, "LD BC,(nn)", "ED 4B n n", 20),
                               new Instruction(InstructionID.LD_BC_nn, "LD BC,nn", "01 n n", 10),
                               new Instruction(InstructionID.LD_B_A, "LD B,A", "47", 4),
                               new Instruction(InstructionID.LD_B_B, "LD B,B", "40", 4),
                               new Instruction(InstructionID.LD_B_C, "LD B,C", "41", 4),
                               new Instruction(InstructionID.LD_B_D, "LD B,D", "42", 4),
                               new Instruction(InstructionID.LD_B_E, "LD B,E", "43", 4),
                               new Instruction(InstructionID.LD_B_H, "LD B,H", "44", 4),
                               new Instruction(InstructionID.LD_B_IXH, "LD B,IXH", "DD 44", 8),
                               new Instruction(InstructionID.LD_B_IXL, "LD B,IXL", "DD 45", 8),
                               new Instruction(InstructionID.LD_B_IYH, "LD B,IYH", "FD 44", 8),
                               new Instruction(InstructionID.LD_B_IYL, "LD B,IYL", "FD 45", 8),
                               new Instruction(InstructionID.LD_B_L, "LD B,L", "45", 4),
                               new Instruction(InstructionID.LD_B_addrHL, "LD B,(HL)", "46", 7),
                               new Instruction(InstructionID.LD_B_addrIXplus_d, "LD B,(IX+d)", "DD 46 d", 19),
                               new Instruction(InstructionID.LD_B_addrIYplus_d, "LD B,(IY+d)", "FD 46 d", 19),
                               new Instruction(InstructionID.LD_B_n, "LD B,n", "06 n", 7),
                               new Instruction(InstructionID.LD_C_A, "LD C,A", "4F", 4),
                               new Instruction(InstructionID.LD_C_B, "LD C,B", "48", 4),
                               new Instruction(InstructionID.LD_C_C, "LD C,C", "49", 4),
                               new Instruction(InstructionID.LD_C_D, "LD C,D", "4A", 4),
                               new Instruction(InstructionID.LD_C_E, "LD C,E", "4B", 4),
                               new Instruction(InstructionID.LD_C_H, "LD C,H", "4C", 4),
                               new Instruction(InstructionID.LD_C_IXH, "LD C,IXH", "DD 4C", 8),
                               new Instruction(InstructionID.LD_C_IXL, "LD C,IXL", "DD 4D", 8),
                               new Instruction(InstructionID.LD_C_IYH, "LD C,IYH", "FD 4C", 8),
                               new Instruction(InstructionID.LD_C_IYL, "LD C,IYL", "FD 4D", 8),
                               new Instruction(InstructionID.LD_C_L, "LD C,L", "4D", 4),
                               new Instruction(InstructionID.LD_C_addrHL, "LD C,(HL)", "4E", 7),
                               new Instruction(InstructionID.LD_C_addrIXplus_d, "LD C,(IX+d)", "DD 4E d", 19),
                               new Instruction(InstructionID.LD_C_addrIYplus_d, "LD C,(IY+d)", "FD 4E d", 19),
                               new Instruction(InstructionID.LD_C_n, "LD C,n", "0E n", 7),
                               new Instruction(InstructionID.LD_DE_addr, "LD DE,(nn)", "ED 5B n n", 20),
                               new Instruction(InstructionID.LD_DE_nn, "LD DE,nn", "11 n n", 10),
                               new Instruction(InstructionID.LD_D_A, "LD D,A", "57", 4),
                               new Instruction(InstructionID.LD_D_B, "LD D,B", "50", 4),
                               new Instruction(InstructionID.LD_D_C, "LD D,C", "51", 4),
                               new Instruction(InstructionID.LD_D_D, "LD D,D", "52", 4),
                               new Instruction(InstructionID.LD_D_E, "LD D,E", "53", 4),
                               new Instruction(InstructionID.LD_D_H, "LD D,H", "54", 4),
                               new Instruction(InstructionID.LD_D_IXH, "LD D,IXH", "DD 54", 8),
                               new Instruction(InstructionID.LD_D_IXL, "LD D,IXL", "DD 55", 8),
                               new Instruction(InstructionID.LD_D_IYH, "LD D,IYH", "FD 54", 8),
                               new Instruction(InstructionID.LD_D_IYL, "LD D,IYL", "FD 55", 8),
                               new Instruction(InstructionID.LD_D_L, "LD D,L", "55", 4),
                               new Instruction(InstructionID.LD_D_addrHL, "LD D,(HL)", "56", 7),
                               new Instruction(InstructionID.LD_D_addrIXplus_d, "LD D,(IX+d)", "DD 56 d", 19),
                               new Instruction(InstructionID.LD_D_addrIYplus_d, "LD D,(IY+d)", "FD 56 d", 19),
                               new Instruction(InstructionID.LD_D_n, "LD D,n", "16 n", 7),
                               new Instruction(InstructionID.LD_E_A, "LD E,A", "5F", 4),
                               new Instruction(InstructionID.LD_E_B, "LD E,B", "58", 4),
                               new Instruction(InstructionID.LD_E_C, "LD E,C", "59", 4),
                               new Instruction(InstructionID.LD_E_D, "LD E,D", "5A", 4),
                               new Instruction(InstructionID.LD_E_E, "LD E,E", "5B", 4),
                               new Instruction(InstructionID.LD_E_H, "LD E,H", "5C", 4),
                               new Instruction(InstructionID.LD_E_IXH, "LD E,IXH", "DD 5C", 8),
                               new Instruction(InstructionID.LD_E_IXL, "LD E,IXL", "DD 5D", 8),
                               new Instruction(InstructionID.LD_E_IYH, "LD E,IYH", "FD 5C", 8),
                               new Instruction(InstructionID.LD_E_IYL, "LD E,IYL", "FD 5D", 8),
                               new Instruction(InstructionID.LD_E_L, "LD E,L", "5D", 4),
                               new Instruction(InstructionID.LD_E_addrHL, "LD E,(HL)", "5E", 7),
                               new Instruction(InstructionID.LD_E_addrIXplus_d, "LD E,(IX+d)", "DD 5E d", 19),
                               new Instruction(InstructionID.LD_E_addrIYplus_d, "LD E,(IY+d)", "FD 5E d", 19),
                               new Instruction(InstructionID.LD_E_n, "LD E,n", "1E n", 7),
                               new Instruction(InstructionID.LD_HL_addr, "LD HL,(nn)", "2A n n", 16),
                               new Instruction(InstructionID.LD_HL_addr, "LD HL,(nn)", "ED 6B n n", 20),
                               new Instruction(InstructionID.LD_HL_nn, "LD HL,nn", "21 n n", 10),
                               new Instruction(InstructionID.LD_H_A, "LD H,A", "67", 4),
                               new Instruction(InstructionID.LD_H_B, "LD H,B", "60", 4),
                               new Instruction(InstructionID.LD_H_C, "LD H,C", "61", 4),
                               new Instruction(InstructionID.LD_H_D, "LD H,D", "62", 4),
                               new Instruction(InstructionID.LD_H_E, "LD H,E", "63", 4),
                               new Instruction(InstructionID.LD_H_H, "LD H,H", "64", 4),
                               new Instruction(InstructionID.LD_H_L, "LD H,L", "65", 4),
                               new Instruction(InstructionID.LD_H_addrHL, "LD H,(HL)", "66", 7),
                               new Instruction(InstructionID.LD_H_addrIXplus_d, "LD H,(IX+d)", "DD 66 d", 19),
                               new Instruction(InstructionID.LD_H_addrIYplus_d, "LD H,(IY+d)", "FD 66 d", 19),
                               new Instruction(InstructionID.LD_H_n, "LD H,n", "26 n", 7),
                               new Instruction(InstructionID.LD_IXH_A, "LD IXH,A", "DD 67", 8),
                               new Instruction(InstructionID.LD_IXH_B, "LD IXH,B", "DD 60", 8),
                               new Instruction(InstructionID.LD_IXH_C, "LD IXH,C", "DD 61", 8),
                               new Instruction(InstructionID.LD_IXH_D, "LD IXH,D", "DD 62", 8),
                               new Instruction(InstructionID.LD_IXH_E, "LD IXH,E", "DD 63", 8),
                               new Instruction(InstructionID.LD_IXH_IXH, "LD IXH,IXH", "DD 64", 8),
                               new Instruction(InstructionID.LD_IXH_IXL, "LD IXH,IXL", "DD 65", 8),
                               new Instruction(InstructionID.LD_IXH_n, "LD IXH,n", "DD 26 n", 11),
                               new Instruction(InstructionID.LD_IXL_A, "LD IXL,A", "DD 6F", 8),
                               new Instruction(InstructionID.LD_IXL_B, "LD IXL,B", "DD 68", 8),
                               new Instruction(InstructionID.LD_IXL_C, "LD IXL,C", "DD 69", 8),
                               new Instruction(InstructionID.LD_IXL_D, "LD IXL,D", "DD 6A", 8),
                               new Instruction(InstructionID.LD_IXL_E, "LD IXL,E", "DD 6B", 8),
                               new Instruction(InstructionID.LD_IXL_IXH, "LD IXL,IXH", "DD 6C", 8),
                               new Instruction(InstructionID.LD_IXL_IXL, "LD IXL,IXL", "DD 6D", 8),
                               new Instruction(InstructionID.LD_IXL_n, "LD IXL,n", "DD 2E n", 11),
                               new Instruction(InstructionID.LD_IX_addr, "LD IX,(nn)", "DD 2A n n", 20),
                               new Instruction(InstructionID.LD_IX_nn, "LD IX,nn", "DD 21 n n", 14),
                               new Instruction(InstructionID.LD_IYH_A, "LD IYH,A", "FD 67", 8),
                               new Instruction(InstructionID.LD_IYH_B, "LD IYH,B", "FD 60", 8),
                               new Instruction(InstructionID.LD_IYH_C, "LD IYH,C", "FD 61", 8),
                               new Instruction(InstructionID.LD_IYH_D, "LD IYH,D", "FD 62", 8),
                               new Instruction(InstructionID.LD_IYH_E, "LD IYH,E", "FD 63", 8),
                               new Instruction(InstructionID.LD_IYH_IYH, "LD IYH,IYH", "FD 64", 8),
                               new Instruction(InstructionID.LD_IYH_IYL, "LD IYH,IYL", "FD 65", 8),
                               new Instruction(InstructionID.LD_IYH_n, "LD IYH,n", "FD 26 n", 11),
                               new Instruction(InstructionID.LD_IYL_A, "LD IYL,A", "FD 6F", 8),
                               new Instruction(InstructionID.LD_IYL_B, "LD IYL,B", "FD 68", 8),
                               new Instruction(InstructionID.LD_IYL_C, "LD IYL,C", "FD 69", 8),
                               new Instruction(InstructionID.LD_IYL_D, "LD IYL,D", "FD 6A", 8),
                               new Instruction(InstructionID.LD_IYL_E, "LD IYL,E", "FD 6B", 8),
                               new Instruction(InstructionID.LD_IYL_IYH, "LD IYL,IYH", "FD 6C", 8),
                               new Instruction(InstructionID.LD_IYL_IYL, "LD IYL,IYL", "FD 6D", 8),
                               new Instruction(InstructionID.LD_IYL_n, "LD IYL,n", "FD 2E n", 11),
                               new Instruction(InstructionID.LD_IY_addr, "LD IY,(nn)", "FD 2A n n", 20),
                               new Instruction(InstructionID.LD_IY_nn, "LD IY,nn", "FD 21 n n", 14),
                               new Instruction(InstructionID.LD_I_A, "LD I,A", "ED 47", 9),
                               new Instruction(InstructionID.LD_L_A, "LD L,A", "6F", 4),
                               new Instruction(InstructionID.LD_L_B, "LD L,B", "68", 4),
                               new Instruction(InstructionID.LD_L_C, "LD L,C", "69", 4),
                               new Instruction(InstructionID.LD_L_D, "LD L,D", "6A", 4),
                               new Instruction(InstructionID.LD_L_E, "LD L,E", "6B", 4),
                               new Instruction(InstructionID.LD_L_H, "LD L,H", "6C", 4),
                               new Instruction(InstructionID.LD_L_L, "LD L,L", "6D", 4),
                               new Instruction(InstructionID.LD_L_addrHL, "LD L,(HL)", "6E", 7),
                               new Instruction(InstructionID.LD_L_addrIXplus_d, "LD L,(IX+d)", "DD 6E d", 19),
                               new Instruction(InstructionID.LD_L_addrIYplus_d, "LD L,(IY+d)", "FD 6E d", 19),
                               new Instruction(InstructionID.LD_L_n, "LD L,n", "2E n", 7),
                               new Instruction(InstructionID.LD_R_A, "LD R,A", "ED 4F", 9),
                               new Instruction(InstructionID.LD_SP_HL, "LD SP,HL", "F9", 6),
                               new Instruction(InstructionID.LD_SP_IX, "LD SP,IX", "DD F9", 10),
                               new Instruction(InstructionID.LD_SP_IY, "LD SP,IY", "FD F9", 10),
                               new Instruction(InstructionID.LD_SP_addr, "LD SP,(nn)", "ED 7B n n", 20),
                               new Instruction(InstructionID.LD_SP_nn, "LD SP,nn", "31 n n", 10),
                               new Instruction(InstructionID.LD_addrBC_A, "LD (BC),A", "02", 7),
                               new Instruction(InstructionID.LD_addrDE_A, "LD (DE),A", "12", 7),
                               new Instruction(InstructionID.LD_addrHL, "LD (nn),HL", "22 n n", 16),
                               new Instruction(InstructionID.LD_addrHL, "LD (nn),HL", "ED 63 n n", 20),
                               new Instruction(InstructionID.LD_addrHL_A, "LD (HL),A", "77", 7),
                               new Instruction(InstructionID.LD_addrHL_B, "LD (HL),B", "70", 7),
                               new Instruction(InstructionID.LD_addrHL_C, "LD (HL),C", "71", 7),
                               new Instruction(InstructionID.LD_addrHL_D, "LD (HL),D", "72", 7),
                               new Instruction(InstructionID.LD_addrHL_E, "LD (HL),E", "73", 7),
                               new Instruction(InstructionID.LD_addrHL_H, "LD (HL),H", "74", 7),
                               new Instruction(InstructionID.LD_addrHL_L, "LD (HL),L", "75", 7),
                               new Instruction(InstructionID.LD_addrHL_n, "LD (HL),n", "36 n", 10),
                               new Instruction(InstructionID.LD_addrIXplus_d_A, "LD (IX+d),A", "DD 77 d", 19),
                               new Instruction(InstructionID.LD_addrIXplus_d_B, "LD (IX+d),B", "DD 70 d", 19),
                               new Instruction(InstructionID.LD_addrIXplus_d_C, "LD (IX+d),C", "DD 71 d", 19),
                               new Instruction(InstructionID.LD_addrIXplus_d_D, "LD (IX+d),D", "DD 72 d", 19),
                               new Instruction(InstructionID.LD_addrIXplus_d_E, "LD (IX+d),E", "DD 73 d", 19),
                               new Instruction(InstructionID.LD_addrIXplus_d_H, "LD (IX+d),H", "DD 74 d", 19),
                               new Instruction(InstructionID.LD_addrIXplus_d_L, "LD (IX+d),L", "DD 75 d", 19),
                               new Instruction(InstructionID.LD_addrIXplus_d_n, "LD (IX+d),n", "DD 36 d n", 19),
                               new Instruction(InstructionID.LD_addrIYplus_d_A, "LD (IY+d),A", "FD 77 d", 19),
                               new Instruction(InstructionID.LD_addrIYplus_d_B, "LD (IY+d),B", "FD 70 d", 19),
                               new Instruction(InstructionID.LD_addrIYplus_d_C, "LD (IY+d),C", "FD 71 d", 19),
                               new Instruction(InstructionID.LD_addrIYplus_d_D, "LD (IY+d),D", "FD 72 d", 19),
                               new Instruction(InstructionID.LD_addrIYplus_d_E, "LD (IY+d),E", "FD 73 d", 19),
                               new Instruction(InstructionID.LD_addrIYplus_d_H, "LD (IY+d),H", "FD 74 d", 19),
                               new Instruction(InstructionID.LD_addrIYplus_d_L, "LD (IY+d),L", "FD 75 d", 19),
                               new Instruction(InstructionID.LD_addrIYplus_d_n, "LD (IY+d),n", "FD 36 d n", 19),
                               new Instruction(InstructionID.LD_addr_A, "LD (nn),A", "32 n n", 13),
                               new Instruction(InstructionID.LD_addr_BC, "LD (nn),BC", "ED 43 n n", 20),
                               new Instruction(InstructionID.LD_addr_DE, "LD (nn),DE", "ED 53 n n", 20),
                               new Instruction(InstructionID.LD_addr_IX, "LD (nn),IX", "DD 22 n n", 20),
                               new Instruction(InstructionID.LD_addr_IY, "LD (nn),IY", "FD 22 n n", 20),
                               new Instruction(InstructionID.LD_addr_SP, "LD (nn),SP", "ED 73 n n", 20),
                               new Instruction(InstructionID.NEG, "NEG", "ED 44", 4),
                               new Instruction(InstructionID.NOP, "NOP", "00", 4),
                               new Instruction(InstructionID.NOPNOP, "NOP NOP", "00 00", 8),
                               new Instruction(InstructionID.OR_A, "OR A", "B7", 4),
                               new Instruction(InstructionID.OR_B, "OR B", "B0", 4),
                               new Instruction(InstructionID.OR_C, "OR C", "B1", 4),
                               new Instruction(InstructionID.OR_D, "OR D", "B2", 4),
                               new Instruction(InstructionID.OR_E, "OR E", "B3", 4),
                               new Instruction(InstructionID.OR_H, "OR H", "B4", 4),
                               new Instruction(InstructionID.OR_IXH, "OR IXH", "DD B4", 8),
                               new Instruction(InstructionID.OR_IXL, "OR IXL", "DD B5", 8),
                               new Instruction(InstructionID.OR_IYH, "OR IYH", "FD B4", 8),
                               new Instruction(InstructionID.OR_IYL, "OR IYL", "FD B5", 8),
                               new Instruction(InstructionID.OR_L, "OR L", "B5", 4),
                               new Instruction(InstructionID.OR_addrHL, "OR (HL)", "B6", 7),
                               new Instruction(InstructionID.OR_addrIX_plus_d, "OR (IX+d)", "DD B6 d", 19),
                               new Instruction(InstructionID.OR_addrIY_plus_d, "OR (IY+d)", "FD B6 d", 19),
                               new Instruction(InstructionID.OR_n, "OR n", "F6 n", 7),
                               new Instruction(InstructionID.OTDR, "OTDR", "ED BB", 21),
                               new Instruction(InstructionID.OTIR, "OTIR", "ED B3", 21),
                               new Instruction(InstructionID.OUTD, "OUTD", "ED AB", 16),
                               new Instruction(InstructionID.OUTI, "OUTI", "ED A3", 16),
                               new Instruction(InstructionID.OUT_A_addr_C, "OUT A,(C)", "ED 79", 12),
                               new Instruction(InstructionID.OUT_B_addr_C, "OUT B,(C)", "ED 41", 12),
                               new Instruction(InstructionID.OUT_C_addr_C, "OUT C,(C)", "ED 49", 12),
                               new Instruction(InstructionID.OUT_D_addr_C, "OUT D,(C)", "ED 51", 12),
                               new Instruction(InstructionID.OUT_E_addr_C, "OUT E,(C)", "ED 59", 12),
                               new Instruction(InstructionID.OUT_H_addr_C, "OUT H,(C)", "ED 61", 12),
                               new Instruction(InstructionID.OUT_L_addr_C, "OUT L,(C)", "ED 69", 12),
                               new Instruction(InstructionID.OUT_addr_n_A, "OUT (n),A", "D3 n", 11),
                               new Instruction(InstructionID.POP_AF, "POP AF", "F1", 10),
                               new Instruction(InstructionID.POP_BC, "POP BC", "C1", 10),
                               new Instruction(InstructionID.POP_DE, "POP DE", "D1", 10),
                               new Instruction(InstructionID.POP_HL, "POP HL", "E1", 10),
                               new Instruction(InstructionID.POP_IX, "POP IX", "DD E1", 14),
                               new Instruction(InstructionID.POP_IY, "POP IY", "FD E1", 14),
                               new Instruction(InstructionID.PUSH_AF, "PUSH AF", "F5", 11),
                               new Instruction(InstructionID.PUSH_BC, "PUSH BC", "C5", 11),
                               new Instruction(InstructionID.PUSH_DE, "PUSH DE", "D5", 11),
                               new Instruction(InstructionID.PUSH_HL, "PUSH HL", "E5", 11),
                               new Instruction(InstructionID.PUSH_IX, "PUSH IX", "DD E5", 15),
                               new Instruction(InstructionID.PUSH_IY, "PUSH IY", "FD E5", 15),
                               new Instruction(InstructionID.RES_0_A, "RES 0,A", "CB 87", 8),
                               new Instruction(InstructionID.RES_0_B, "RES 0,B", "CB 80", 8),
                               new Instruction(InstructionID.RES_0_C, "RES 0,C", "CB 81", 8),
                               new Instruction(InstructionID.RES_0_D, "RES 0,D", "CB 82", 8),
                               new Instruction(InstructionID.RES_0_E, "RES 0,E", "CB 83", 8),
                               new Instruction(InstructionID.RES_0_H, "RES 0,H", "CB 84", 8),
                               new Instruction(InstructionID.RES_0_L, "RES 0,L", "CB 85", 8),
                               new Instruction(InstructionID.RES_0_addrHL, "RES 0,(HL)", "CB 86", 15),
                               new Instruction(InstructionID.RES_0_addrIX_plus_d, "RES 0,(IX+d)", "DD CB d 86", 23),
                               new Instruction(InstructionID.RES_0_addrIY_plus_d, "RES 0,(IY+d)", "FD CB d 86", 23),
                               new Instruction(InstructionID.RES_1_A, "RES 1,A", "CB 8F", 8),
                               new Instruction(InstructionID.RES_1_B, "RES 1,B", "CB 88", 8),
                               new Instruction(InstructionID.RES_1_C, "RES 1,C", "CB 89", 8),
                               new Instruction(InstructionID.RES_1_D, "RES 1,D", "CB 8A", 8),
                               new Instruction(InstructionID.RES_1_E, "RES 1,E", "CB 8B", 8),
                               new Instruction(InstructionID.RES_1_H, "RES 1,H", "CB 8C", 8),
                               new Instruction(InstructionID.RES_1_L, "RES 1,L", "CB 8D", 8),
                               new Instruction(InstructionID.RES_1_addrHL, "RES 1,(HL)", "CB 8E", 15),
                               new Instruction(InstructionID.RES_1_addrIX_plus_d, "RES 1,(IX+d)", "DD CB d 8E", 23),
                               new Instruction(InstructionID.RES_1_addrIY_plus_d, "RES 1,(IY+d)", "FD CB d 8E", 23),
                               new Instruction(InstructionID.RES_2_A, "RES 2,A", "CB 97", 8),
                               new Instruction(InstructionID.RES_2_B, "RES 2,B", "CB 90", 8),
                               new Instruction(InstructionID.RES_2_C, "RES 2,C", "CB 91", 8),
                               new Instruction(InstructionID.RES_2_D, "RES 2,D", "CB 92", 8),
                               new Instruction(InstructionID.RES_2_E, "RES 2,E", "CB 93", 8),
                               new Instruction(InstructionID.RES_2_H, "RES 2,H", "CB 94", 8),
                               new Instruction(InstructionID.RES_2_L, "RES 2,L", "CB 95", 8),
                               new Instruction(InstructionID.RES_2_addrHL, "RES 2,(HL)", "CB 96", 15),
                               new Instruction(InstructionID.RES_2_addrIX_plus_d, "RES 2,(IX+d)", "DD CB d 96", 23),
                               new Instruction(InstructionID.RES_2_addrIY_plus_d, "RES 2,(IY+d)", "FD CB d 96", 23),
                               new Instruction(InstructionID.RES_3_A, "RES 3,A", "CB 9F", 8),
                               new Instruction(InstructionID.RES_3_B, "RES 3,B", "CB 98", 8),
                               new Instruction(InstructionID.RES_3_C, "RES 3,C", "CB 99", 8),
                               new Instruction(InstructionID.RES_3_D, "RES 3,D", "CB 9A", 8),
                               new Instruction(InstructionID.RES_3_E, "RES 3,E", "CB 9B", 8),
                               new Instruction(InstructionID.RES_3_H, "RES 3,H", "CB 9C", 8),
                               new Instruction(InstructionID.RES_3_L, "RES 3,L", "CB 9D", 8),
                               new Instruction(InstructionID.RES_3_addrHL, "RES 3,(HL)", "CB 9E", 15),
                               new Instruction(InstructionID.RES_3_addrIX_plus_d, "RES 3,(IX+d)", "DD CB d 9E", 23),
                               new Instruction(InstructionID.RES_3_addrIY_plus_d, "RES 3,(IY+d)", "FD CB d 9E", 23),
                               new Instruction(InstructionID.RES_4_A, "RES 4,A", "CB A7", 8),
                               new Instruction(InstructionID.RES_4_B, "RES 4,B", "CB A0", 8),
                               new Instruction(InstructionID.RES_4_C, "RES 4,C", "CB A1", 8),
                               new Instruction(InstructionID.RES_4_D, "RES 4,D", "CB A2", 8),
                               new Instruction(InstructionID.RES_4_E, "RES 4,E", "CB A3", 8),
                               new Instruction(InstructionID.RES_4_H, "RES 4,H", "CB A4", 8),
                               new Instruction(InstructionID.RES_4_L, "RES 4,L", "CB A5", 8),
                               new Instruction(InstructionID.RES_4_addrHL, "RES 4,(HL)", "CB A6", 15),
                               new Instruction(InstructionID.RES_4_addrIX_plus_d, "RES 4,(IX+d)", "DD CB d A6", 23),
                               new Instruction(InstructionID.RES_4_addrIY_plus_d, "RES 4,(IY+d)", "FD CB d A6", 23),
                               new Instruction(InstructionID.RES_5_A, "RES 5,A", "CB AF", 8),
                               new Instruction(InstructionID.RES_5_B, "RES 5,B", "CB A8", 8),
                               new Instruction(InstructionID.RES_5_C, "RES 5,C", "CB A9", 8),
                               new Instruction(InstructionID.RES_5_D, "RES 5,D", "CB AA", 8),
                               new Instruction(InstructionID.RES_5_E, "RES 5,E", "CB AB", 8),
                               new Instruction(InstructionID.RES_5_H, "RES 5,H", "CB AC", 8),
                               new Instruction(InstructionID.RES_5_L, "RES 5,L", "CB AD", 8),
                               new Instruction(InstructionID.RES_5_addrHL, "RES 5,(HL)", "CB AE", 15),
                               new Instruction(InstructionID.RES_5_addrIX_plus_d, "RES 5,(IX+d)", "DD CB d AE", 23),
                               new Instruction(InstructionID.RES_5_addrIY_plus_d, "RES 5,(IY+d)", "FD CB d AE", 23),
                               new Instruction(InstructionID.RES_6_A, "RES 6,A", "CB B7", 8),
                               new Instruction(InstructionID.RES_6_B, "RES 6,B", "CB B0", 8),
                               new Instruction(InstructionID.RES_6_C, "RES 6,C", "CB B1", 8),
                               new Instruction(InstructionID.RES_6_D, "RES 6,D", "CB B2", 8),
                               new Instruction(InstructionID.RES_6_E, "RES 6,E", "CB B3", 8),
                               new Instruction(InstructionID.RES_6_H, "RES 6,H", "CB B4", 8),
                               new Instruction(InstructionID.RES_6_L, "RES 6,L", "CB B5", 8),
                               new Instruction(InstructionID.RES_6_addrHL, "RES 6,(HL)", "CB B6", 15),
                               new Instruction(InstructionID.RES_6_addrIX_plus_d, "RES 6,(IX+d)", "DD CB d B6", 23),
                               new Instruction(InstructionID.RES_6_addrIY_plus_d, "RES 6,(IY+d)", "FD CB d B6", 23),
                               new Instruction(InstructionID.RES_7_A, "RES 7,A", "CB BF", 8),
                               new Instruction(InstructionID.RES_7_B, "RES 7,B", "CB B8", 8),
                               new Instruction(InstructionID.RES_7_C, "RES 7,C", "CB B9", 8),
                               new Instruction(InstructionID.RES_7_D, "RES 7,D", "CB BA", 8),
                               new Instruction(InstructionID.RES_7_E, "RES 7,E", "CB BB", 8),
                               new Instruction(InstructionID.RES_7_H, "RES 7,H", "CB BC", 8),
                               new Instruction(InstructionID.RES_7_L, "RES 7,L", "CB BD", 8),
                               new Instruction(InstructionID.RES_7_addrHL, "RES 7,(HL)", "CB BE", 15),
                               new Instruction(InstructionID.RES_7_addrIX_plus_d, "RES 7,(IX+d)", "DD CB d BE", 23),
                               new Instruction(InstructionID.RES_7_addrIY_plus_d, "RES 7,(IY+d)", "FD CB d BE", 23),
                               new Instruction(InstructionID.RET, "RET", "C9", 10),
                               new Instruction(InstructionID.RETI, "RETI", "ED 4D", 14),
                               new Instruction(InstructionID.RETN, "RETN", "ED 45", 14),
                               new Instruction(InstructionID.RET_C, "RET C", "D8", 11),
                               new Instruction(InstructionID.RET_M, "RET M", "F8", 11),
                               new Instruction(InstructionID.RET_NC, "RET NC", "D0", 11),
                               new Instruction(InstructionID.RET_NZ, "RET NZ", "C0", 11),
                               new Instruction(InstructionID.RET_PE, "RET PE", "E8", 11),
                               new Instruction(InstructionID.RET_PO, "RET PO", "E0", 11),
                               new Instruction(InstructionID.RET_P, "RET P", "F0", 11),
                               new Instruction(InstructionID.RET_Z, "RET Z", "C8", 11),
                               new Instruction(InstructionID.RLA, "RLA", "17", 4),
                               new Instruction(InstructionID.RLCA, "RLCA", "07", 4),
                               new Instruction(InstructionID.RLC_A, "RLC A", "CB 07", 8),
                               new Instruction(InstructionID.RLC_B, "RLC B", "CB 00", 8),
                               new Instruction(InstructionID.RLC_C, "RLC C", "CB 01", 8),
                               new Instruction(InstructionID.RLC_D, "RLC D", "CB 02", 8),
                               new Instruction(InstructionID.RLC_E, "RLC E", "CB 03", 8),
                               new Instruction(InstructionID.RLC_H, "RLC H", "CB 04", 8),
                               new Instruction(InstructionID.RLC_L, "RLC L", "CB 05", 8),
                               new Instruction(InstructionID.RLC_addrHL, "RLC (HL)", "CB 06", 15),
                               new Instruction(InstructionID.RLC_addrIX_plus_d, "RLC (IX+d)", "DD CB d 06", 23),
                               new Instruction(InstructionID.RLC_addrIY_plus_d, "RLC (IY+d)", "FD CB d 06", 23),
                               new Instruction(InstructionID.RLD, "RLD", "ED 6F", 18),
                               new Instruction(InstructionID.RL_A, "RL A", "CB 17", 8),
                               new Instruction(InstructionID.RL_B, "RL B", "CB 10", 8),
                               new Instruction(InstructionID.RL_C, "RL C", "CB 11", 8),
                               new Instruction(InstructionID.RL_D, "RL D", "CB 12", 8),
                               new Instruction(InstructionID.RL_E, "RL E", "CB 13", 8),
                               new Instruction(InstructionID.RL_H, "RL H", "CB 14", 8),
                               new Instruction(InstructionID.RL_L, "RL L", "CB 15", 8),
                               new Instruction(InstructionID.RL_addrHL, "RL (HL)", "CB 16", 15),
                               new Instruction(InstructionID.RL_addrIX_plus_d, "RL (IX+d)", "DD CB d 16", 23),
                               new Instruction(InstructionID.RL_addrIY_plus_d, "RL (IY+d)", "FD CB d 16", 23),
                               new Instruction(InstructionID.RRA, "RRA", "1F", 4),
                               new Instruction(InstructionID.RRCA, "RRCA", "0F", 4),
                               new Instruction(InstructionID.RRC_A, "RRC A", "CB 0F", 8),
                               new Instruction(InstructionID.RRC_B, "RRC B", "CB 08", 8),
                               new Instruction(InstructionID.RRC_C, "RRC C", "CB 09", 8),
                               new Instruction(InstructionID.RRC_D, "RRC D", "CB 0A", 8),
                               new Instruction(InstructionID.RRC_E, "RRC E", "CB 0B", 8),
                               new Instruction(InstructionID.RRC_H, "RRC H", "CB 0C", 8),
                               new Instruction(InstructionID.RRC_L, "RRC L", "CB 0D", 8),
                               new Instruction(InstructionID.RRC_addrHL, "RRC (HL)", "CB 0E", 15),
                               new Instruction(InstructionID.RRC_addrIX_plus_d, "RRC (IX+d)", "DD CB d 0E", 23),
                               new Instruction(InstructionID.RRC_addrIY_plus_d, "RRC (IY+d)", "FD CB d 0E", 23),
                               new Instruction(InstructionID.RRD, "RRD", "ED 67", 18),
                               new Instruction(InstructionID.RR_A, "RR A", "CB 1F", 8),
                               new Instruction(InstructionID.RR_B, "RR B", "CB 18", 8),
                               new Instruction(InstructionID.RR_C, "RR C", "CB 19", 8),
                               new Instruction(InstructionID.RR_D, "RR D", "CB 1A", 8),
                               new Instruction(InstructionID.RR_E, "RR E", "CB 1B", 8),
                               new Instruction(InstructionID.RR_H, "RR H", "CB 1C", 8),
                               new Instruction(InstructionID.RR_L, "RR L", "CB 1D", 8),
                               new Instruction(InstructionID.RR_addrHL, "RR (HL)", "CB 1E", 15),
                               new Instruction(InstructionID.RR_addrIX_plus_d, "RR (IX+d)", "DD CB d 1E", 23),
                               new Instruction(InstructionID.RR_addrIY_plus_d, "RR (IY+d)", "FD CB d 1E", 23),
                               new Instruction(InstructionID.RST_00, "RST 00", "C7", 11),
                               new Instruction(InstructionID.RST_08, "RST 08", "CF", 11),
                               new Instruction(InstructionID.RST_10, "RST 10", "D7", 11),
                               new Instruction(InstructionID.RST_18, "RST 18", "DF", 11),
                               new Instruction(InstructionID.RST_20, "RST 20", "E7", 11),
                               new Instruction(InstructionID.RST_28, "RST 28", "EF", 11),
                               new Instruction(InstructionID.RST_30, "RST 30", "F7", 11),
                               new Instruction(InstructionID.RST_38, "RST 38", "FF", 11),
                               new Instruction(InstructionID.SBC_A_A, "SBC A,A", "9F", 4),
                               new Instruction(InstructionID.SBC_A_B, "SBC A,B", "98", 4),
                               new Instruction(InstructionID.SBC_A_C, "SBC A,C", "99", 4),
                               new Instruction(InstructionID.SBC_A_D, "SBC A,D", "9A", 4),
                               new Instruction(InstructionID.SBC_A_E, "SBC A,E", "9B", 4),
                               new Instruction(InstructionID.SBC_A_H, "SBC A,H", "9C", 4),
                               new Instruction(InstructionID.SBC_A_IXH, "SBC A,IXH", "DD 9C", 8),
                               new Instruction(InstructionID.SBC_A_IXL, "SBC A,IXL", "DD 9D", 8),
                               new Instruction(InstructionID.SBC_A_IYH, "SBC A,IYH", "FD 9C", 8),
                               new Instruction(InstructionID.SBC_A_IYL, "SBC A,IYL", "FD 9D", 8),
                               new Instruction(InstructionID.SBC_A_L, "SBC A,L", "9D", 4),
                               new Instruction(InstructionID.SBC_A_addrHL, "SBC A,(HL)", "9E", 7),
                               new Instruction(InstructionID.SBC_A_addrIXplus_d, "SBC A,(IX+d)", "DD 9E d", 19),
                               new Instruction(InstructionID.SBC_A_addrIYplus_d, "SBC A,(IY+d)", "FD 9E d", 19),
                               new Instruction(InstructionID.SBC_A_n, "SBC A,n", "DE n", 7),
                               new Instruction(InstructionID.SBC_HL_BC, "SBC HL,BC", "ED 42", 15),
                               new Instruction(InstructionID.SBC_HL_DE, "SBC HL,DE", "ED 52", 15),
                               new Instruction(InstructionID.SBC_HL_HL, "SBC HL,HL", "ED 62", 15),
                               new Instruction(InstructionID.SBC_HL_SP, "SBC HL,SP", "ED 72", 15),
                               new Instruction(InstructionID.SCF, "SCF", "37", 2),
                               new Instruction(InstructionID.SET_0_A, "SET 0,A", "CB C7", 8),
                               new Instruction(InstructionID.SET_0_B, "SET 0,B", "CB C0", 8),
                               new Instruction(InstructionID.SET_0_C, "SET 0,C", "CB C1", 8),
                               new Instruction(InstructionID.SET_0_D, "SET 0,D", "CB C2", 8),
                               new Instruction(InstructionID.SET_0_E, "SET 0,E", "CB C3", 8),
                               new Instruction(InstructionID.SET_0_H, "SET 0,H", "CB C4", 8),
                               new Instruction(InstructionID.SET_0_L, "SET 0,L", "CB C5", 8),
                               new Instruction(InstructionID.SET_0_addrHL, "SET 0,(HL)", "CB C6", 15),
                               new Instruction(InstructionID.SET_0_addrIX_plus_d, "SET 0,(IX+d)", "DD CB d C6", 23),
                               new Instruction(InstructionID.SET_0_addrIY_plus_d, "SET 0,(IY+d)", "FD CB d C6", 23),
                               new Instruction(InstructionID.SET_1_A, "SET 1,A", "CB CF", 8),
                               new Instruction(InstructionID.SET_1_B, "SET 1,B", "CB C8", 8),
                               new Instruction(InstructionID.SET_1_C, "SET 1,C", "CB C9", 8),
                               new Instruction(InstructionID.SET_1_D, "SET 1,D", "CB CA", 8),
                               new Instruction(InstructionID.SET_1_E, "SET 1,E", "CB CB", 8),
                               new Instruction(InstructionID.SET_1_H, "SET 1,H", "CB CC", 8),
                               new Instruction(InstructionID.SET_1_L, "SET 1,L", "CB CD", 8),
                               new Instruction(InstructionID.SET_1_addrHL, "SET 1,(HL)", "CB CE", 15),
                               new Instruction(InstructionID.SET_1_addrIX_plus_d, "SET 1,(IX+d)", "DD CB d CE", 23),
                               new Instruction(InstructionID.SET_1_addrIY_plus_d, "SET 1,(IY+d)", "FD CB d CE", 23),
                               new Instruction(InstructionID.SET_2_A, "SET 2,A", "CB D7", 8),
                               new Instruction(InstructionID.SET_2_B, "SET 2,B", "CB D0", 8),
                               new Instruction(InstructionID.SET_2_C, "SET 2,C", "CB D1", 8),
                               new Instruction(InstructionID.SET_2_D, "SET 2,D", "CB D2", 8),
                               new Instruction(InstructionID.SET_2_E, "SET 2,E", "CB D3", 8),
                               new Instruction(InstructionID.SET_2_H, "SET 2,H", "CB D4", 8),
                               new Instruction(InstructionID.SET_2_L, "SET 2,L", "CB D5", 8),
                               new Instruction(InstructionID.SET_2_addrHL, "SET 2,(HL)", "CB D6", 15),
                               new Instruction(InstructionID.SET_2_addrIX_plus_d, "SET 2,(IX+d)", "DD CB d D6", 23),
                               new Instruction(InstructionID.SET_2_addrIY_plus_d, "SET 2,(IY+d)", "FD CB d D6", 23),
                               new Instruction(InstructionID.SET_3_A, "SET 3,A", "CB DF", 8),
                               new Instruction(InstructionID.SET_3_B, "SET 3,B", "CB D8", 8),
                               new Instruction(InstructionID.SET_3_C, "SET 3,C", "CB D9", 8),
                               new Instruction(InstructionID.SET_3_D, "SET 3,D", "CB DA", 8),
                               new Instruction(InstructionID.SET_3_E, "SET 3,E", "CB DB", 8),
                               new Instruction(InstructionID.SET_3_H, "SET 3,H", "CB DC", 8),
                               new Instruction(InstructionID.SET_3_L, "SET 3,L", "CB DD", 8),
                               new Instruction(InstructionID.SET_3_addrHL, "SET 3,(HL)", "CB DE", 15),
                               new Instruction(InstructionID.SET_3_addrIX_plus_d, "SET 3,(IX+d)", "DD CB d DE", 23),
                               new Instruction(InstructionID.SET_3_addrIY_plus_d, "SET 3,(IY+d)", "FD CB d DE", 23),
                               new Instruction(InstructionID.SET_4_A, "SET 4,A", "CB E7", 8),
                               new Instruction(InstructionID.SET_4_B, "SET 4,B", "CB E0", 8),
                               new Instruction(InstructionID.SET_4_C, "SET 4,C", "CB E1", 8),
                               new Instruction(InstructionID.SET_4_D, "SET 4,D", "CB E2", 8),
                               new Instruction(InstructionID.SET_4_E, "SET 4,E", "CB E3", 8),
                               new Instruction(InstructionID.SET_4_H, "SET 4,H", "CB E4", 8),
                               new Instruction(InstructionID.SET_4_L, "SET 4,L", "CB E5", 8),
                               new Instruction(InstructionID.SET_4_addrHL, "SET 4,(HL)", "CB E6", 15),
                               new Instruction(InstructionID.SET_4_addrIX_plus_d, "SET 4,(IX+d)", "DD CB d E6", 23),
                               new Instruction(InstructionID.SET_4_addrIY_plus_d, "SET 4,(IY+d)", "FD CB d E6", 23),
                               new Instruction(InstructionID.SET_5_A, "SET 5,A", "CB EF", 8),
                               new Instruction(InstructionID.SET_5_B, "SET 5,B", "CB E8", 8),
                               new Instruction(InstructionID.SET_5_C, "SET 5,C", "CB E9", 8),
                               new Instruction(InstructionID.SET_5_D, "SET 5,D", "CB EA", 8),
                               new Instruction(InstructionID.SET_5_E, "SET 5,E", "CB EB", 8),
                               new Instruction(InstructionID.SET_5_H, "SET 5,H", "CB EC", 8),
                               new Instruction(InstructionID.SET_5_L, "SET 5,L", "CB ED", 8),
                               new Instruction(InstructionID.SET_5_addrHL, "SET 5,(HL)", "CB EE", 15),
                               new Instruction(InstructionID.SET_5_addrIX_plus_d, "SET 5,(IX+d)", "DD CB d EE", 23),
                               new Instruction(InstructionID.SET_5_addrIY_plus_d, "SET 5,(IY+d)", "FD CB d EE", 23),
                               new Instruction(InstructionID.SET_6_A, "SET 6,A", "CB F7", 8),
                               new Instruction(InstructionID.SET_6_B, "SET 6,B", "CB F0", 8),
                               new Instruction(InstructionID.SET_6_C, "SET 6,C", "CB F1", 8),
                               new Instruction(InstructionID.SET_6_D, "SET 6,D", "CB F2", 8),
                               new Instruction(InstructionID.SET_6_E, "SET 6,E", "CB F3", 8),
                               new Instruction(InstructionID.SET_6_H, "SET 6,H", "CB F4", 8),
                               new Instruction(InstructionID.SET_6_L, "SET 6,L", "CB F5", 8),
                               new Instruction(InstructionID.SET_6_addrHL, "SET 6,(HL)", "CB F6", 15),
                               new Instruction(InstructionID.SET_6_addrIX_plus_d, "SET 6,(IX+d)", "DD CB d F6", 23),
                               new Instruction(InstructionID.SET_6_addrIY_plus_d, "SET 6,(IY+d)", "FD CB d F6", 23),
                               new Instruction(InstructionID.SET_7_A, "SET 7,A", "CB FF", 8),
                               new Instruction(InstructionID.SET_7_B, "SET 7,B", "CB F8", 8),
                               new Instruction(InstructionID.SET_7_C, "SET 7,C", "CB F9", 8),
                               new Instruction(InstructionID.SET_7_D, "SET 7,D", "CB FA", 8),
                               new Instruction(InstructionID.SET_7_E, "SET 7,E", "CB FB", 8),
                               new Instruction(InstructionID.SET_7_H, "SET 7,H", "CB FC", 8),
                               new Instruction(InstructionID.SET_7_L, "SET 7,L", "CB FD", 8),
                               new Instruction(InstructionID.SET_7_addrHL, "SET 7,(HL)", "CB FE", 15),
                               new Instruction(InstructionID.SET_7_addrIX_plus_d, "SET 7,(IX+d)", "DD CB d FE", 23),
                               new Instruction(InstructionID.SET_7_addrIY_plus_d, "SET 7,(IY+d)", "FD CB d FE", 23),
                               new Instruction(InstructionID.SLA_A, "SLA A", "CB 27", 8),
                               new Instruction(InstructionID.SLA_B, "SLA B", "CB 20", 8),
                               new Instruction(InstructionID.SLA_C, "SLA C", "CB 21", 8),
                               new Instruction(InstructionID.SLA_D, "SLA D", "CB 22", 8),
                               new Instruction(InstructionID.SLA_E, "SLA E", "CB 23", 8),
                               new Instruction(InstructionID.SLA_H, "SLA H", "CB 24", 8),
                               new Instruction(InstructionID.SLA_L, "SLA L", "CB 25", 8),
                               new Instruction(InstructionID.SLA_addrHL, "SLA (HL)", "CB 26", 15),
                               new Instruction(InstructionID.SLA_addrIX_plus_d, "SLA (IX+d)", "DD CB d 26", 23),
                               new Instruction(InstructionID.SLA_addrIY_plus_d, "SLA (IY+d)", "FD CB d 26", 23),
                               new Instruction(InstructionID.SLL_A, "SLL A", "CB 37", 8),
                               new Instruction(InstructionID.SLL_B, "SLL B", "CB 30", 8),
                               new Instruction(InstructionID.SLL_C, "SLL C", "CB 31", 8),
                               new Instruction(InstructionID.SLL_D, "SLL D", "CB 32", 8),
                               new Instruction(InstructionID.SLL_E, "SLL E", "CB 33", 8),
                               new Instruction(InstructionID.SLL_H, "SLL H", "CB 34", 8),
                               new Instruction(InstructionID.SLL_L, "SLL L", "CB 35", 8),
                               new Instruction(InstructionID.SLL_addrHL, "SLL (HL)", "CB 36", 15),
                               new Instruction(InstructionID.SRA_A, "SRA A", "CB 2F", 8),
                               new Instruction(InstructionID.SRA_B, "SRA B", "CB 28", 8),
                               new Instruction(InstructionID.SRA_C, "SRA C", "CB 29", 8),
                               new Instruction(InstructionID.SRA_D, "SRA D", "CB 2A", 8),
                               new Instruction(InstructionID.SRA_E, "SRA E", "CB 2B", 8),
                               new Instruction(InstructionID.SRA_H, "SRA H", "CB 2C", 8),
                               new Instruction(InstructionID.SRA_L, "SRA L", "CB 2D", 8),
                               new Instruction(InstructionID.SRA_addrHL, "SRA (HL)", "CB 2E", 15),
                               new Instruction(InstructionID.SRA_addrIX_plus_d, "SRA (IX+d)", "DD CB d 2E", 23),
                               new Instruction(InstructionID.SRA_addrIY_plus_d, "SRA (IY+d)", "FD CB d 2E", 23),
                               new Instruction(InstructionID.SRL_A, "SRL A", "CB 3F", 8),
                               new Instruction(InstructionID.SRL_B, "SRL B", "CB 38", 8),
                               new Instruction(InstructionID.SRL_C, "SRL C", "CB 39", 8),
                               new Instruction(InstructionID.SRL_D, "SRL D", "CB 3A", 8),
                               new Instruction(InstructionID.SRL_E, "SRL E", "CB 3B", 8),
                               new Instruction(InstructionID.SRL_H, "SRL H", "CB 3C", 8),
                               new Instruction(InstructionID.SRL_L, "SRL L", "CB 3D", 8),
                               new Instruction(InstructionID.SRL_addrHL, "SRL (HL)", "CB 3E", 15),
                               new Instruction(InstructionID.SRL_addrIX_plus_d, "SRL (IX+d)", "DD CB d 3E", 23),
                               new Instruction(InstructionID.SRL_addrIY_plus_d, "SRL (IY+d)", "FD CB d 3E", 23),
                               new Instruction(InstructionID.SUB_A, "SUB A", "97", 4),
                               new Instruction(InstructionID.SUB_B, "SUB B", "90", 4),
                               new Instruction(InstructionID.SUB_C, "SUB C", "91", 4),
                               new Instruction(InstructionID.SUB_D, "SUB D", "92", 4),
                               new Instruction(InstructionID.SUB_E, "SUB E", "93", 4),
                               new Instruction(InstructionID.SUB_H, "SUB H", "94", 4),
                               new Instruction(InstructionID.SUB_IXH, "SUB IXH", "DD 94", 8),
                               new Instruction(InstructionID.SUB_IXL, "SUB IXL", "DD 95", 8),
                               new Instruction(InstructionID.SUB_IYH, "SUB IYH", "FD 94", 8),
                               new Instruction(InstructionID.SUB_IYL, "SUB IYL", "FD 95", 8),
                               new Instruction(InstructionID.SUB_L, "SUB L", "95", 4),
                               new Instruction(InstructionID.SUB_addrHL, "SUB (HL)", "96", 7),
                               new Instruction(InstructionID.SUB_addrIXplus_d, "SUB (IX+d)", "DD 96 d", 19),
                               new Instruction(InstructionID.SUB_addrIYplus_d, "SUB (IY+d)", "FD 96 d", 19),
                               new Instruction(InstructionID.SUB_n, "SUB n", "D6 n", 7),
                               new Instruction(InstructionID.XOR_A, "XOR A", "AF", 4),
                               new Instruction(InstructionID.XOR_B, "XOR B", "A8", 4),
                               new Instruction(InstructionID.XOR_C, "XOR C", "A9", 4),
                               new Instruction(InstructionID.XOR_D, "XOR D", "AA", 4),
                               new Instruction(InstructionID.XOR_E, "XOR E", "AB", 4),
                               new Instruction(InstructionID.XOR_H, "XOR H", "AC", 4),
                               new Instruction(InstructionID.XOR_IXH, "XOR IXH", "DD AC", 8),
                               new Instruction(InstructionID.XOR_IXL, "XOR IXL", "DD AD", 8),
                               new Instruction(InstructionID.XOR_IYH, "XOR IYH", "FD AC", 8),
                               new Instruction(InstructionID.XOR_IYL, "XOR IYL", "FD AD", 8),
                               new Instruction(InstructionID.XOR_L, "XOR L", "AD", 4),
                               new Instruction(InstructionID.XOR_addrHL, "XOR (HL)", "AE", 7),
                               new Instruction(InstructionID.XOR_addrIX_plus_d, "XOR (IX+d)", "DD AE d", 19),
                               new Instruction(InstructionID.XOR_addrIY_plus_d, "XOR (IY+d)", "FD AE d", 19),
                               new Instruction(InstructionID.XOR_n, "XOR n", "EE n", 7),
                           };
        }
    }
}